# svn_wc_diff_callbacks2_t Struct Reference
[Working copy management]

Similar to svn_wc_diff_callbacks3_t, but without the `dir_opened` and `dir_closed` functions, and without the tree_conflicted argument to the functions. More...

`#include <svn_wc.h>`

## Data Fields
svn_error_t *(* | file_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)
| The same as `file_changed` in svn_wc_diff_callbacks3_t.
svn_error_t *(* | file_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)
| The same as `file_added` in svn_wc_diff_callbacks3_t.
svn_error_t *(* | file_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, apr_hash_t *originalprops, void *diff_baton)
| The same as `file_deleted` in svn_wc_diff_callbacks3_t.
svn_error_t *(* | dir_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, svn_revnum_t rev, void *diff_baton)
| The same as `dir_added` in svn_wc_diff_callbacks3_t.
svn_error_t *(* | dir_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, void *diff_baton)
| The same as `dir_deleted` in svn_wc_diff_callbacks3_t.
svn_error_t *(* | dir_props_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)
| The same as `dir_props_changed` in svn_wc_diff_callbacks3_t.

## Detailed Description

Similar to svn_wc_diff_callbacks3_t, but without the `dir_opened` and `dir_closed` functions, and without the tree_conflicted argument to the functions.

Deprecated:
  Provided for backward compatibility with the 1.2 API.

Definition at line 2413 of file svn_wc.h.

## Field Documentation

svn_error_t*(* svn_wc_diff_callbacks2_t::dir_added)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, svn_revnum_t rev, void *diff_baton)

The same as `dir_added` in svn_wc_diff_callbacks3_t.

Definition at line 2457 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks2_t::dir_deleted)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, void *diff_baton)

The same as `dir_deleted` in svn_wc_diff_callbacks3_t.

Definition at line 2464 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks2_t::dir_props_changed)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)

The same as `dir_props_changed` in svn_wc_diff_callbacks3_t.

Definition at line 2470 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks2_t::file_added)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)

The same as `file_added` in svn_wc_diff_callbacks3_t.

Definition at line 2431 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks2_t::file_changed)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)

The same as `file_changed` in svn_wc_diff_callbacks3_t.

Definition at line 2416 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks2_t::file_deleted)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, apr_hash_t *originalprops, void *diff_baton)

The same as `file_deleted` in svn_wc_diff_callbacks3_t.

Definition at line 2446 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines